<?php 
	if($_POST['dsgal_hidden'] == 'Y') {
		//Form data sent
		$showthumbs = $_POST['dsgal_showthumbs'];
		update_option('dsgal_showthumbs', $showthumbs);
		
		$transition = $_POST['dsgal_transition'];
		update_option('dsgal_transition',$transition);
		
		$dsgal_width = $_POST['dsgal_width'];
		update_option('dsgal_width',$dsgal_width);
		
		$dsgal_height = $_POST['dsgal_height'];
		update_option('dsgal_height',$dsgal_height);
		
		$dsGalSlideMargin = $_POST['dsGalSlideMargin'];
		update_option('dsGalSlideMargin',$dsGalSlideMargin);
		
		$dsGalTransitionSpeed = $_POST['dsGalTransitionSpeed'];
		update_option('dsGalTransitionSpeed',$dsGalTransitionSpeed);

		$dsgal_showarrows = $_POST['dsgal_showarrows'];
		update_option('dsgal_showarrows',$dsgal_showarrows);
		
		$dsGalArrowImg = $_POST['dsGalArrowImg'];
		update_option('dsGalArrowImg',$dsGalArrowImg);
		
		$dsGalArrowW = $_POST['dsGalArrowW'];
		update_option('dsGalArrowW',$dsGalArrowW);
		
		$dsGalArrowH = $_POST['dsGalArrowH'];
		update_option('dsGalArrowH',$dsGalArrowH);
		
		$dsGalArrowTouch = $_POST['dsGalArrowTouch'];
		update_option('dsGalArrowTouch',$dsGalArrowTouch);
		
		$dsGalIncludejQuery = $_POST['dsGalIncludejQuery'];
		update_option('dsGalIncludejQuery',$dsGalIncludejQuery);
		
		$dsGalArrowKeys = $_POST['dsGalArrowKeys'];
		update_option('dsGalArrowKeys',$dsGalArrowKeys);
		
		$dsGalImgClick = $_POST['dsGalImgClick'];
		update_option('dsGalImgClick',$dsGalImgClick);
		
		$dsArrowChoice = $_POST['dsArrowChoice'];
		update_option('dsArrowChoice',$dsArrowChoice);
		
		?>
		<div class="updated"><p><strong><?php _e('Options saved.' ); ?></strong></p></div>
		<?php
	} else {
		//Normal page display
		$showthumbs = get_option('dsgal_showthumbs');
		$transition = get_option('dsgal_transition');
		$dsgal_width = get_option('dsgal_width');
		$dsgal_height = get_option('dsgal_height');
		$dsGalSlideMargin = get_option('dsGalSlideMargin');
		$dsGalTransitionSpeed = get_option('dsGalTransitionSpeed');
		$dsgal_showarrows = get_option('dsgal_showarrows');
		$dsGalArrowImg = get_option('dsGalArrowImg');
		$dsGalArrowW = get_option('dsGalArrowW');
		$dsGalArrowH = get_option('dsGalArrowH');
		$dsGalArrowTouch = get_option('dsGalArrowTouch');
		$dsGalIncludejQuery = get_option('dsGalIncludejQuery');
		$dsGalArrowKeys = get_option('dsGalArrowKeys');
		$dsGalImgClick = get_option('dsGalImgClick');
		$dsArrowChoice = get_option('dsArrowChoice');
	}
?>

<div class="wrap">
<?php    echo "<h2>" . __( 'DS Gallery Settings', 'dsgal_trdom' ) . "</h2>"; ?>

<form name="dsgal_form" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
	<input type="hidden" name="dsgal_hidden" value="Y">
	<h3>Installation</h3>
	<p>To use, drop the following code into any of your .php template files. You do <strong>not</strong> need to insert the gallery into the post editor window in Wordpress, just upload images and publish.</p>
	<code>
		&lt;?php dsGalleryImages(); ?&gt;
	</code>
	
	<p>You can also use shortcode in your posts</p>
	<code>
		[dsGalleryImages]
	</code>
	<p>Options are available in the <a href="<?php print WP_PLUGIN_URL . '/'.basename(dirname(__FILE__)); ?>/readme.txt" target="_blank">README</a> file</p>
	<hr style="background-color:#bcbcbc;border:none;height:5px;overflow:hidden;margin:25px 0;" />
	<h3>Basic Settings</h3>
	<p><?php _e("Gallery width: " ); ?><input type="text" name="dsgal_width" value="<?php echo $dsgal_width; ?>" size="5"><?php _e(" ex: 600px, defaults to 100%" ); ?></p>
	<p><?php _e("Gallery height: " ); ?><input type="text" name="dsgal_height" value="<?php echo $dsgal_height; ?>" size="5"><?php _e(" ex: 350px, defaults to 450px" ); ?></p>
	<p><?php _e("Include jQuery?"); ?> <input type="checkbox" name="dsGalIncludejQuery" value="Yes"<?php if($dsGalIncludejQuery=="Yes"){ print " checked"; }?>> &nbsp; (Select this if you're not already loading jQuery up in your theme)</p>
	<p><?php _e("Use arrowkeys to navigate images?"); ?> <input type="checkbox" name="dsGalArrowKeys" value="Yes"<?php if($dsGalArrowKeys=="Yes"){ print " checked"; }?>> &nbsp; (Left and Right arrow keys will do the same as prev and next arrows)</p>
	<p><?php _e("Advance to the next slide when the slideshow image is clicked?"); ?> <input type="checkbox" name="dsGalImgClick" value="Yes"<?php if($dsGalImgClick=="Yes"){ print " checked"; }?>></p>
	<hr style="background-color:#bcbcbc;border:none;height:5px;overflow:hidden;margin:25px 0;" />
	<h3>Advanced Settings</h3>
	<p>
		<?php _e("Show thumbnails: " ); ?>
		<select name="dsgal_showthumbs">
			<option value="Yes"<?php if($showthumbs=="Yes"){print " selected"; }?>>Yes</option>
			<option value="No"<?php if($showthumbs=="No"){print " selected"; }?>>No</option>
		</select>
	</p>
	<p>
		<?php _e("Show arrows: " ); ?>
		<select id="arrow-toggle" name="dsgal_showarrows">
			<option value="Yes"<?php if($dsgal_showarrows=="Yes"){print " selected"; }?>>Yes</option>
			<option value="No"<?php if($dsgal_showarrows=="No"){print " selected"; }?>>No</option>
		</select>
	</p>
	<p>
		<?php _e("Show arrows on touch devices: " ); ?>
		<select id="arrow-toggle" name="dsGalArrowTouch">
			<option value="on"<?php if($dsGalArrowTouch=="on"){print " selected"; }?>>Yes</option>
			<option value="off"<?php if($dsGalArrowTouch=="off"){print " selected"; }?>>No</option>
		</select>
	</p>
	<div id="arrow-options">
		<p><?php _e("Arrow Image URL: " ); ?><input type="text" name="dsGalArrowImg" value="<?php echo $dsGalArrowImg; ?>" size="25"> <?php _e(" 1 file for all 4 arrows. Set up as sprite. Example: https://dl.dropbox.com/u/4504114/assets/arrows.png" ); ?></p>
		<p><?php _e("Arrow Image Dimensions: " ); ?><input type="text" name="dsGalArrowW" value="<?php echo $dsGalArrowW; ?>" size="2">x<input type="text" name="dsGalArrowH" value="<?php echo $dsGalArrowH; ?>" size="2"> <?php _e(" Width x Height - will be divided equally to create arrow sizes" ); ?></p>
		<p>
			<?php _e("Choose your arrows: " ); ?><br />
			<table width="100%">
				<tr>
					<td valign="top" align="center">
						<input type="radio" name="dsArrowChoice" value="arrow1" <?php if($dsArrowChoice=="arrow1"){print " checked"; }?> /><br />
						<img src="<?php print WP_PLUGIN_URL . '/'.basename(dirname(__FILE__)).'/images/arrows.png'; ?>" border="0">
					</td>
					<td valign="top" align="center">
						<input type="radio" name="dsArrowChoice" value="arrow2" <?php if($dsArrowChoice=="arrow2"){print " checked"; }?> /><br />
						<img src="<?php print WP_PLUGIN_URL . '/'.basename(dirname(__FILE__)).'/images/arrows-2.png'; ?>" border="0">
					</td>
					<td valign="top" align="center">
						<input type="radio" name="dsArrowChoice" value="arrow3" <?php if($dsArrowChoice=="arrow3"){print " checked"; }?> /><br />
						<img src="<?php print WP_PLUGIN_URL . '/'.basename(dirname(__FILE__)).'/images/arrows-3.png'; ?>" border="0">
					</td>
					<td valign="top" align="center">
						<input type="radio" name="dsArrowChoice" value="arrow4" <?php if($dsArrowChoice=="arrow4"){print " checked"; }?> /><br />
						<img src="<?php print WP_PLUGIN_URL . '/'.basename(dirname(__FILE__)).'/images/arrows-4.png'; ?>" border="0">
					</td>
				</tr>
			</table>
		</p>

	</div>
	<hr style="background-color:#bcbcbc;border:none;height:5px;overflow:hidden;margin:25px 0;" />
	<h3>Transitions</h3>
	<p><?php _e("Transition speed (in milliseconds): " ); ?><input type="text" name="dsGalTransitionSpeed" value="<?php echo $dsGalTransitionSpeed; ?>" size="5"><?php _e(" 1000 = 1 second, defaults to 300 (3/10 of 1 second)" ); ?></p>
	<p>
		<?php _e("Slide transition: " ); ?>
		<select id="transition-toggle" name="dsgal_transition">
			<option value="cut"<?php if($transition=="cut"){print " selected"; }?>>Cut (No Transition)</option>
			<option value="fade"<?php if($transition=="fade"){print " selected"; }?>>Crossfade between items</option>
			<option value="slideR2L"<?php if($transition=="slideR2L"){print " selected"; }?>>Slide to left</option>
		</select>
	</p>
	<div id="r2lOptions">
		<p><?php _e("Margin between images: " ); ?><input type="text" name="dsGalSlideMargin" value="<?php echo $dsGalSlideMargin; ?>" size="5"><?php _e(" ex: 0 or 10 or 25, defaults to 30" ); ?></p>
	</div>
	
	<p class="submit">
	<input type="submit" name="Submit" value="<?php _e('Update Options', 'dsgal_trdom' ) ?>" />
	</p>
	
	<hr style="background-color:#bcbcbc;border:none;height:5px;overflow:hidden;margin:25px 0;" />
	<h3>Credits</h3>
	<p><a href="http://chips-ny.com" target="_blank" style="text-decoration:none;">CHIPS NY</a></p>
</form>
</div>
<script>
	(function ($) {
		if($("#arrow-toggle").val() == "No"){ $("#arrow-options").hide(); } else { $("#r2lOptions").show(); }
		$("#arrow-toggle").change(function(){ if($("#arrow-toggle").val() == "No"){ $("#r2lOptions").hide(); } else { $("#r2lOptions").show(); } })

		if($("#transition-toggle").val() != "slideR2L"){ $("#r2lOptions").hide(); } else { $("#r2lOptions").show(); }
		$("#transition-toggle").change(function(){ if($("#transition-toggle").val() != "slideR2L"){ $("#r2lOptions").hide(); } else { $("#r2lOptions").show(); } })
	})(jQuery);
</script>