(function ($) {
	var dsGal = {
		dsGalCurrentImg : 1,
		dsGalTotalImg: 0,
		load1x : 0,
		dsGalSlideMargin : 30,
		dsGalStarterW : 0,
		dsGalTransitionSpeed : 300,
		wrapper : $(".ds-gal-slideR2L"),
		dsGalPos : 0,
		isMouseDown : false,
		initDSGal: function() {
            dsGal.slides = $(".ds-gallery-item");
			dsGal.dsGalTotalImg = $(".ds-gallery-large").size();
			dsGal.slideSizes();$(window).resize(function(){dsGal.slideSizes();})
			$("#ds-gallery-item-1").addClass("dsActive");
			$(".ds-gallery-large").css({"margin-right":dsGal.dsGalSlideMargin});
			$("a.dsGalleryImg").click(function(e){
				e.preventDefault();
				var temp = $(this).attr("rel");
				dsGal.setNewActive(temp);
				dsGal.doImgChange();
			})
			$(".dsGalArrow").hover(function(){
				if($(this).hasClass("dsGalArrowL")){
					$(this).addClass("dsGalArrowLH");
				} else {
					$(this).addClass("dsGalArrowRH");
				}
			},function(){
				$(this).removeClass("dsGalArrowLH dsGalArrowRH");
			})
			$(".dsGalArrow").click(function(){
				if($(this).hasClass("dsGalArrowL")){
					dsGal.moveLeft();
				} else {
					dsGal.moveRight();
				}
				dsGal.doImgChange();
			})
			if($(".ds-gallery-full").hasClass("arrowKeysOn")){
				$(document).keydown(function(e){
				    if (e.keyCode == 37) {
						dsGal.moveLeft();
						dsGal.doImgChange();
						return false;
				    }
				    if (e.keyCode == 39) {
						dsGal.moveRight();
						dsGal.doImgChange();
						return false;
				    }
				});
			}
			if($(".ds-gallery-full").hasClass("imgClickOn")){
				$(".ds-gallery-large img, .overImgLayer").live("click",function(){
					dsGal.moveRight();
					dsGal.doImgChange();
				})
			}
			dsGal.dsLoadImages();
			dsGal.initEvents();
		},
		initEvents: function() {
			$(".overImgLayer").mousedown(function(event){
				dsGal.isMouseDown = true;
				$(".overImgLayer").mousemove(function(e){
					dsGal.trackMouseMovements(e.pageX,e.pageY);
					//console.log(e.pageX +', '+ e.pageY);
				});
			}).mouseup(function(){
				dsGal.isMouseDown = false;
			})
			$(".overImgLayer").hover(function(){},function(){dsGal.isMouseDown = false;})
			
		},
		trackMouseMovements:function(xPos,yPos){
			if (!dsGal.isMouseDown) { return; }
			if (dsGal.isMouseDown == true) { 
				//console.log(xPos + ", " + yPos);
			}
		},
		dsLoadImages: function() {
			$(".ds-gallery-large a").each(function(){
				var currImg = $(this);
				if(currImg.hasClass("loaded") || currImg.hasClass("loading")) {
					return;
				} else {
					var image = $('<img src="'+currImg.attr('href')+'" />');
					if(dsGal.load1x==0){
						dsGal.load1x=1;
						currImg.addClass('loading');
						image.load(function() {
							currImg.removeAttr("href").html(image).addClass('loaded').removeClass('loading');
							dsGal.load1x=0;
							dsGal.dsLoadImages();
						});
					}
				}
			})
		},
		slideSizes: function() {
			dsGal.dsGalStarterW = ($(".ds-gal-slideR2L").parent().width() - $("#ds-gallery-large-1").width())/2 - (dsGal.dsGalSlideMargin);
			if(dsGal.dsGalStarterW < 0){ dsGal.dsGalStarterW = 0; }
			$(".starter-Width").css({"width":dsGal.dsGalStarterW});
		},
		showSlideR2L: function(whatSlide) {
			if(whatSlide==1){
				dsGal.dsGalPos = 0;
			} else {
				var newLeft = 0;
				var howMany = dsGal.dsGalCurrentImg-1;
				for (i=1;i<=howMany;i++){ 
					newLeft = newLeft + ($("#ds-gallery-large-"+i).width() + dsGal.dsGalSlideMargin);
				}
				newLeft = (newLeft*-1);
				dsGal.dsGalPos = newLeft;
			}
			$(".ds-gal-slideR2L ul").css({"margin-left":dsGal.dsGalPos});
		},
		moveLeft:function(){
			dsGal.dsGalCurrentImg--;
			if(dsGal.dsGalCurrentImg < 1){ dsGal.dsGalCurrentImg = dsGal.dsGalTotalImg; }
			dsGal.setNewActive(dsGal.dsGalCurrentImg);
		},
		moveRight:function(){
			dsGal.dsGalCurrentImg++;
			if(dsGal.dsGalCurrentImg > dsGal.dsGalTotalImg){ dsGal.dsGalCurrentImg = 1; }
			dsGal.setNewActive(dsGal.dsGalCurrentImg);
		},
		goBack: function(){
			$(".ds-gal-slideR2L ul").css({"margin-left":dsGal.dsGalPos});
		},
		setNewActive: function(whatItem) {
			dsGal.dsGalCurrentImg = parseInt(whatItem);
			$(".ds-gallery .dsActive").removeClass("dsActive");
			$("#ds-gallery-item-"+dsGal.dsGalCurrentImg).addClass("dsActive");
		},
		doImgChange: function() {
			if($(".ds-gallery-full").hasClass("ds-gal-fade")){
				$(".ds-gallery-large").fadeOut(dsGal.dsGalTransitionSpeed);
				$("#ds-gallery-large-"+dsGal.dsGalCurrentImg).fadeIn(dsGal.dsGalTransitionSpeed);
			} else if($(".ds-gallery-full").hasClass("ds-gal-slideR2L")){
				dsGal.showSlideR2L(dsGal.dsGalCurrentImg);
			} else {
				$(".ds-gallery-large").hide();
				$("#ds-gallery-large-"+dsGal.dsGalCurrentImg).show();
			}
		},
		timer: null,
		startX: 0,
		direction: "",
		isTouchStart: false,
		startHandler: function(event) {
			dsGal.startX = event.touches[0].pageX; //.changedTouches[0]
			dsGal.timer = setInterval(function() { dsGal.timerCounter++; }, 10);
			dsGal.isTouchStart = true;
			event.preventDefault();
		},
		moveHandler: function(event) {
			if (dsGal.isTouchStart) {
				dsGal.distanceX = event.touches[0].pageX - dsGal.startX;                
				//dsGal.slideContainer.style.webkitTransform = "translate3d(" + (dsGal.distanceX + dsGal.currentDistance) + "px, 0,0)";
				$(".ds-gal-slideR2L ul").css({"margin-left":dsGal.dsGalPos + (dsGal.distanceX * 3)});
			}
		},
		//funciton called when touch end event is fired i.e finger is released from screen
		endHandler: function(event) {
			clearInterval(dsGal.timer);
			if (dsGal.distanceX > 0) {
				dsGal.direction = "right";
			}
			if (dsGal.distanceX < 0) {
				dsGal.direction = "left";
			}
			/*if ((dsGal.direction == "right" && dsGal.currentDistance == 0) || (dsGal.direction == "left" && dsGal.currentDistance == -(dsGal.maxDistance - dsGal.preferredWidth))) {                
				dsGal.comeBack();
			}*/
			if (dsGal.timerCounter < 500 && dsGal.distanceX > 10) {               
				dsGal.moveLeft();
				$(".starter-Width").css({"width":dsGal.dsGalStarterW});
			}
			else if (dsGal.timerCounter < 500 && dsGal.distanceX < -10) {              
				dsGal.moveRight();
				$(".starter-Width").css({"width":dsGal.dsGalStarterW});
			}			
			else {
				dsGal.goBack();
			}
			dsGal.doImgChange();
			dsGal.timerCounter = 0; //reset timerCounter
			dsGal.isTouchStart = false; //reset the boolean var
			dsGal.distanceX = 0; //reset the distance moved for next iteration
        }
        
	};
	window.dsGalObj = dsGal;
	var parentSlider = document.getElementById("ds-gal");
	parentSlider.addEventListener("touchstart",dsGalObj.startHandler,false);
	parentSlider.addEventListener("touchmove",dsGalObj.moveHandler,false);
	parentSlider.addEventListener("touchend",dsGalObj.endHandler,false);
	parentSlider.addEventListener("touchcancel",dsGalObj.goBack,false);
	
	
})(jQuery);

window.onload = function() { dsGalObj.initDSGal(); }



